#
# spec file for package perl-DateManip (Version 5.40)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         perl-DateManip
Copyright:    Artistic License
Group:        Development/Libraries/Perl
Provides:     DateManip
Autoreqprov:  on
Version:      5.40
Release:      44
Summary:      Date manipulation routines
URL:          http://www.cise.ufl.edu/~sbeck/
Source:       DateManip-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-root

%description
This is a set of routines designed to make any common date/time manipulation
easy to do. Operations such as comparing two times, calculating a time a
given amount of time from another, or parsing international times are all
easily done.

Authors:
--------
    Sullivan Beck <sbeck@cpan.org>

SuSE series: perl

%prep
%setup -n DateManip-%{version}

%build
perl Makefile.PL 
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT; 
install -d $RPM_BUILD_ROOT/%{perl_archlib}
make PREFIX=$RPM_BUILD_ROOT/usr \
     INSTALLMAN1DIR=$RPM_BUILD_ROOT/%{_mandir}/man1 \
     INSTALLMAN3DIR=$RPM_BUILD_ROOT/%{_mandir}/man3 \
     install
install -d $RPM_BUILD_ROOT/var/adm/perl-modules
cat $RPM_BUILD_ROOT/%{perl_archlib}/perllocal.pod | sed "s@$RPM_BUILD_ROOT@@g" > $RPM_BUILD_ROOT/var/adm/perl-modules/%{name}
cd $RPM_BUILD_ROOT/%{perl_sitearch}/auto/Date/Manip/
cat .packlist | sed "s@$RPM_BUILD_ROOT@@g" | sort -u > .packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files 
%defattr(-, root, root)
%doc HISTORY INSTALL README TODO
%doc %{_mandir}/man3/Date::Manip.3pm.gz
%{perl_sitearch}/../Date/Manip.pm
%{perl_sitearch}/../Date/Manip.pod
%{perl_sitearch}/auto/Date/Manip
/var/adm/perl-modules/%{name}

%changelog -n perl-DateManip
* Fri Jun 22 2001 - grimmer@suse.de
- Update to version 5.40
- use more perl macros in spec file
* Tue Nov 07 2000 - grimmer@suse.de
- added .packlist to file list and removed BuildRoot path with sed
* Tue Nov 07 2000 - grimmer@suse.de
- initial version (5.39)
